<?php
$direct_path =  get_bloginfo('wpurl')."/wp-content/plugins/wp-glideshow";
?>

<script type="text/javascript" src="<?php echo $direct_path;?>/scripts/slider.js"></script> 

<style>

#slidewrapper {
background: #<?php if ( get_option('glideshow-background-color')) {echo get_option('glideshow-background-color');} else {echo '3b3b3b';} ?>;
float: left;
width: <?php if ( get_option('glideshow-width')) {echo get_option('glideshow-width');} else {echo '935';} ?>px;
height: <?php if ( get_option('glideshow-height')) {echo get_option('glideshow-height');} else {echo '320';} ?>px;
border: 5px solid #<?php if ( get_option('glideshow-border-color')) {echo get_option('glideshow-border-color');} else {echo '993399';} ?>;
font-family: verdana;
}

.glidecontentwrapper {
position: relative; 
width: <?php if ( get_option('glideshow-width')) {echo get_option('glideshow-width');} else {echo '935';} ?>px;
height: <?php if ( get_option('glideshow-height')) {echo get_option('glideshow-height')-40;} else {echo '280';} ?>px;
background: #<?php if ( get_option('glideshow-background-color')) {echo get_option('glideshow-background-color');} else {echo '3b3b3b';} ?>;
overflow: hidden;
z-index: 0;
}

.glidecontent { 
position: absolute; 
margin: 0px;
padding: 0px;
background: #<?php if ( get_option('glideshow-background-color')) {echo get_option('glideshow-background-color');} else {echo '3b3b3b';} ?>;
visibility: hidden;
width: <?php if ( get_option('glideshow-width')) {echo get_option('glideshow-width');} else {echo '935';} ?>px;
}

.glide { 
width: <?php if ( get_option('glideshow-width')) {echo get_option('glideshow-width')*0.57;} else {echo '540';} ?>px;
float: left;
}

.glide a img { 
border: none;
padding: 10px;
}

.glidetext { 
width: <?php if ( get_option('glideshow-width')) {echo get_option('glideshow-width')*0.38;} else {echo '360';} ?>px;
margin: 0px 0px 0px 20px;
color: #<?php if ( get_option('glideshow-text-color')) {echo get_option('glideshow-text-color');} else {echo 'FFF';} ?>;
float: left;
}

.glidetext h2 {
width: <?php if ( get_option('glideshow-width')) {echo get_option('glideshow-width')*0.38-10;} else {echo '350';} ?>px;
margin: 10px 0px 10px 0px;
padding: 0px;
color: #<?php if ( get_option('glideshow-text-color')) {echo get_option('glideshow-text-color');} else {echo 'FFF';} ?>;
}

.glideme {
font-size: 6px;
float: left;
}

.glideme a {
font-size: 6px;
text-decoration: none;
color: #3b3b3b;
}


.glidetext h2 a {
width: <?php if ( get_option('glideshow-width')) {echo get_option('glideshow-width')*0.38-50;} else {echo '310';} ?>px;
margin: 0px 0px 0px 10px;
color: #<?php if ( get_option('glideshow-text-color')) {echo get_option('glideshow-text-color');} else {echo 'FFF';} ?>;
font-size:  <?php if ( get_option('glideshow-title-size')) {echo get_option('glideshow-title-size');} else {echo '18';} ?>px;
border-bottom: 1px solid #<?php if ( get_option('glideshow-text-color')) {echo get_option('glideshow-text-color');} else {echo 'FFF';} ?>;
text-decoration: none;
}

.glidetext h2 a:hover {
color: #<?php if ( get_option('glideshow-title-hover-color')) {echo get_option('glideshow-title-hover-color');} else {echo '993399';} ?>;
}

.glidetext div {
color: #<?php if ( get_option('glideshow-text-color')) {echo get_option('glideshow-text-color');} else {echo 'FFF';} ?>;
font-size: <?php if ( get_option('glideshow-text-size')) {echo get_option('glideshow-text-size');} else {echo '14';} ?>px;
margin: 0px 0px 0px 10px;
text-align: justify;
clear: both;
}

.cssbuttonstoggler{ 
height: 30px;
font-size: 14px;
margin-top: 10px;
margin: 0px 10px 0px 0px; 
text-align: center;
float: right;
background-color: #<?php if ( get_option('glideshow-background-color')) {echo get_option('glideshow-background-color');} else {echo '3b3b3b';} ?>;
}

.cssbuttonstoggler a {
text-decoration: none;
}

.cssbuttonstoggler a span {
border: none; 
background: #<?php if ( get_option('glideshow-navigation-background-color')) {echo get_option('glideshow-navigation-background-color');} else {echo 'FFF';} ?>; none repeat scroll 0% 0%; 
cursor: pointer; 
margin: 3px;
-moz-border-radius-bottomleft:12px;
-moz-border-radius-bottomright:12px;
-moz-border-radius-topleft:12px;
-moz-border-radius-topright:12px;
padding: 1px 10px 1px 10px;
color: #<?php if ( get_option('glideshow-navigation-color')) {echo get_option('glideshow-navigation-color');} else {echo '3b3b3b';} ?>;
}

.cssbuttonstoggler a.selected, .cssbuttonstoggler a:hover{ 
}

.cssbuttonstoggler a.selected span, .cssbuttonstoggler a:hover span{ /*style for selected and hover page's toggler link. ".selected" class auto generated! */
padding: 1px 10px 1px 10px; 
margin-right: 3px;
cursor: pointer; 
color: #<?php if ( get_option('glideshow-navigation-active-color')) {echo get_option('glideshow-navigation-active-color');} else {echo 'FFF';} ?>; 
background-color: #<?php if ( get_option('glideshow-navigation-active-background-color')) {echo get_option('glideshow-navigation-active-background-color');} else {echo '993399';} ?>;
text-decoration: none;
}

.cssbuttonstoggler a.toc{ 
}

.cssbuttonstoggler a.prev, .glidecontenttoggler-2 a.next{ 
}

.cssbuttonstoggler a.prev:hover, .glidecontenttoggler-2 a.next:hover {
}

</style>

<script type="text/javascript">
featuredcontentglider.init({
gliderid: "glideshow",
contentclass: "glidecontent",
togglerid: "p-select",
remotecontent: "", //Get gliding contents from external file on server? "filename" or "" to disable
selected: 1,
persiststate: true,
speed: <?php if ( get_option('glideshow-slider-speed')) {echo get_option('glideshow-slider-speed');} else {echo '500';} ?>,
direction: "<?php if ( get_option('glideshow-slider-style')) {echo get_option('glideshow-slider-style');} else {echo 'rightleft';} ?>", //set direction of glide: "updown", "downup", "leftright", or "rightleft"
autorotate: <?php if ( get_option('glideshow-slider-auto')) {echo get_option('glideshow-slider-auto');} else {echo 'true';} ?>, //Auto rotate contents (true/false)?
autorotateconfig: [<?php if ( get_option('glideshow-slider-duration')) {echo get_option('glideshow-slider-duration');} else {echo '4000';} ?>, 0] //if auto rotate enabled, set [milliseconds_btw_rotations, cycles_before_stopping]
})
</script>

<div id="slidewrapper">

<div id="glideshow" class="glidecontentwrapper">

<?php $temp_query = $wp_query; ?>
<?php query_posts('cat=' . get_option('glideshow-category-id') . '&showposts=' . get_option('glideshow-post-number')); ?>
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<?php $do_not_duplicate[$post->ID] = $post->ID; ?>

<div class="glidecontent">
<div class="glide">
<a href="<?php the_permalink();?>" title="<?php _e("Permanent Link to"); ?>"><img src="<?php $values = get_post_custom_values("Featured"); echo $values[0]; ?>"></a>
</div>		
<div class="glidetext">
<h2><a href="<?php the_permalink();?>" title="<?php _e("Permanent Link to"); ?>"><?php the_title();?></a></h2>
<?php $chars = get_option('glideshow-text-length');?>
<?php the_glide_limit($chars); ?>
</div>
</div>
<?php endwhile; else: ?>
        <?php endif; ?>
</div>
<div id="p-select" class="cssbuttonstoggler">
<?php
$bis = get_option('glideshow-post-number'); 
$x = 1;
while($x <= $bis)
{
echo "<a href='#' class='toc'><span>$x</span></a>";
$x++;
}
?>
<a href="#" class="prev"><span><?php echo get_option('glideshow-navigation-back'); ?></span></a> <a href="#" class="next"><span><?php echo get_option('glideshow-navigation-next'); ?></span></a>
</div>
<div class="glideme"></div>
</div>	

		