<?php
$location = $options_page; // Form Action URI
?>

<div class="wrap">
	<h2>WP Glideshow Configuration</h2>
	<h3>General Adjustments</h3>
      <p>Give general Information concerning your Glideshow</p>
	
    <div style="margin-left:0px;">
    <form method="post" action="options.php"><?php wp_nonce_field('update-options'); ?>
		<fieldset name="general_options" class="options">
        
        Category ID of Featured Posts:<br />
		<div style="margin:0;padding:0;">
        <input name="glideshow-category-id" id="glideshow-category-id" size="25" value="<?php echo get_option('glideshow-category-id'); ?>"></input>   
        </div><br />
        
        Number of Featured Posts:<br />
		<div style="margin:0;padding:0;">
        <input name="glideshow-post-number" id="glideshow-post-number" size="25" value="<?php echo get_option('glideshow-post-number'); ?>"></input>   
        </div><br />

        Text length (Number of chars, Default: 460):<br />
		<div style="margin:0;padding:0;">
        <input name="glideshow-text-length" id="glideshow-text-length" size="25" value="<?php echo get_option('glideshow-text-length'); ?>"></input>   
        </div><br />

        Navigation Next Button: (e.g. forward)<br />
		<div style="margin:0;padding:0;">
        <input name="glideshow-navigation-next" id="glideshow-navigation-next" size="25" value="<?php echo get_option('glideshow-navigation-next'); ?>"></input>   
        </div><br />

        Navigation Back Button: (e.g. back)<br />
		<div style="margin:0;padding:0;">
        <input name="glideshow-navigation-back" id="glideshow-navigation-back" size="25" value="<?php echo get_option('glideshow-navigation-back'); ?>"></input>   
        </div><br />

	  <h3>Slider Configuration</h3>
	  <p>Use these fields below to adjust the Sliding Options</p>

        Slide Speed (Speed of the Sliding Effect, Default: 500):<br />
		<div style="margin:0;padding:0;">
        <input name="glideshow-slider-speed" id="glideshow-slider-speed" size="25" value="<?php echo get_option('glideshow-slider-speed'); ?>"></input>   
        </div><br />

        Slide Style (Possibilities: updown, downup, leftright, rightleft, Default: rightleft):<br />
		<div style="margin:0;padding:0;">
        <input name="glideshow-slider-style" id="glideshow-slider-style" size="25" value="<?php echo get_option('glideshow-slider-style'); ?>"></input>   
        </div><br />

        Slide Autorotate (Possibilities: true, false, Default: true):<br />
		<div style="margin:0;padding:0;">
        <input name="glideshow-slider-auto" id="glideshow-slider-auto" size="25" value="<?php echo get_option('glideshow-slider-auto'); ?>"></input>   
        </div><br />

        Slide Duration (The higher, the longer it stays, Default: 4000):<br />
		<div style="margin:0;padding:0;">
        <input name="glideshow-slider-duration" id="glideshow-slider-duration" size="25" value="<?php echo get_option('glideshow-slider-duration'); ?>"></input>   
        </div><br />

	  <h3>Styling Configuration</h3>
	  <p>Use these fields below to adjust the styling of the Glideshow</p>

	  Glideshow Width: (for Default type: 935)<br />
	  <div style="margin:0;padding:0;">
        <input name="glideshow-width" id="glideshow-width" size="25" value="<?php echo get_option('glideshow-width'); ?>"></input>   
        </div><br />

	  Glideshow Height: (for Default type: 320)<br />
	  <div style="margin:0;padding:0;">
        <input name="glideshow-height" id="glideshow-height" size="25" value="<?php echo get_option('glideshow-height'); ?>"></input>   
        </div><br />

	  Glideshow Background Colour: (for Default type: 3b3b3b)<br />
	  <div style="margin:0;padding:0;">
        <input name="glideshow-background-color" id="glideshow-background-color" size="25" value="<?php echo get_option('glideshow-background-color'); ?>"></input>   
        </div><br />

	  Glideshow Border Colour: (for Default type: 993399)<br />
	  <div style="margin:0;padding:0;">
        <input name="glideshow-border-color" id="glideshow-border-color" size="25" value="<?php echo get_option('glideshow-border-color'); ?>"></input>   
        </div><br />

	  Glideshow Text Color: (for Default type: FFF)<br />
	  <div style="margin:0;padding:0;">
        <input name="glideshow-text-color" id="glideshow-text-color" size="25" value="<?php echo get_option('glideshow-text-color'); ?>"></input>   
        </div><br />

	  Glideshow Text Size: (for Default type: 14)<br />
	  <div style="margin:0;padding:0;">
        <input name="glideshow-text-size" id="glideshow-text-size" size="25" value="<?php echo get_option('glideshow-text-size'); ?>"></input>   
        </div><br />

	  Glideshow Title Size: (for Default type: 18)<br />
	  <div style="margin:0;padding:0;">
        <input name="glideshow-title-size" id="glideshow-title-size" size="25" value="<?php echo get_option('glideshow-title-size'); ?>"></input>   
        </div><br />

	  Glideshow Title Hover Color: (for Default type: 993399)<br />
	  <div style="margin:0;padding:0;">
        <input name="glideshow-title-hover-color" id="glideshow-title-hover-color" size="25" value="<?php echo get_option('glideshow-title-hover-color'); ?>"></input>   
        </div><br />

	  Glideshow Navigation Background Color: (for Default type: FFF)<br />
	  <div style="margin:0;padding:0;">
        <input name="glideshow-navigation-background-color" id="glideshow-navigation-background-color" size="25" value="<?php echo get_option('glideshow-navigation-background-color'); ?>"></input>   
        </div><br />

	  Glideshow Navigation Color: (for Default type: 3b3b3b)<br />
	  <div style="margin:0;padding:0;">
        <input name="glideshow-navigation-color" id="glideshow-navigation-color" size="25" value="<?php echo get_option('glideshow-navigation-color'); ?>"></input>   
        </div><br />

	  Glideshow Navigation Active Background Color: (for Default type: 993399)<br />
	  <div style="margin:0;padding:0;">
        <input name="glideshow-navigation-active-background-color" id="glideshow-navigation-active-background-color" size="25" value="<?php echo get_option('glideshow-navigation-active-background-color'); ?>"></input>   
        </div><br />

	  Glideshow Navigation Active Color: (for Default type: FFF)<br />
	  <div style="margin:0;padding:0;">
        <input name="glideshow-navigation-active-color" id="glideshow-navigation-active-color" size="25" value="<?php echo get_option('glideshow-navigation-active-color'); ?>"></input>   
        </div><br />
                
        <input type="hidden" name="action" value="update" />
        <input type="hidden" name="page_options" value="glideshow-category-id,glideshow-post-number,glideshow-slider-speed,glideshow-slider-style,glideshow-slider-auto,glideshow-slider-duration,glideshow-text-length,glideshow-navigation-next,glideshow-navigation-back,glideshow-width,glideshow-height,glideshow-background-color,glideshow-border-color,glideshow-text-color,glideshow-text-size,glideshow-title-size,glideshow-title-hover-color,glideshow-navigation-background-color,glideshow-navigation-color,glideshow-navigation-active-background-color,glideshow-navigation-active-color" />

		</fieldset>
		<p class="submit"><input type="submit" name="Submit" value="<?php _e('Update Options') ?>" /></p>
	</form>      
</div>